<?php
$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_516340c6" . "18ee12b8b" . "fb13b0d28" . "0f269f" => base64_decode("U0VMRUNUIG1ldGFfdGV4dCBGUk9NIEVSTVNfbWV0YWRhdGFfZmllbGRfdmFsdWVzIFdIRVJFIG1ldGFkYXRh" . "X2lkPWludDptZXRhX2ZpZWxkX2lkIE9SREVSIEJZIG1ldGFfdmFsdWU="), "_7f628626dd1d55c71b1fc0932f" . "fd1d2c" => base64_decode("aXNf" . "YXJy" . "YXk="), "_e2e36e1c2215f261368b" . "20d15740847e" => base64_decode("SU5TRVJUIElOVE8gRVJNU19tZXRhZGF0YV9maWVsZF92YWx1ZXMgKG1ldGFkYXRhX2lkLG1ldGFfdmFsdWUsbWV0" . "YV90ZXh0KSBWQUxVRVMgKGludDptZXRhX2ZpZWxkX2lkLGludDprZXksIHN0cjp2YWwp"), "_0926ec1594f048b9fe0aa9aa05b9" . "a243" => base64_decode("Q291bGRuJ3QgZGVsZX" . "RlLiBVbmRlZmluZWQg" . "bWV0YSBmaWVsZCBJRA" . "=="), "_4079816faf0560c6877e40230b8b96" . "5f" => base64_decode("REVMRVRFIEZST00gRVJNU19tZXRhZ" . "GF0YV9maWVsZF92YWx1ZXMgV0hFUk" . "UgbWV0YWRhdGFfaWQ9aW50Om1ldGF" . "fZmllbGRfaWQ="), "_2d71c655f2a62b5d8b25dbf8acf952" . "fd" => base64_decode("Q291bGRuJ3QgbG9hZC4gVW5kZWZpbmVkIG1ldGEgZml" . "lbGQgSUQ="), "_31767d7a" . "d58e706db" . "f47b7a51a" . "0fe6c4" => base64_decode("Y291bn" . "Q="), "_d162ad33b44d275ccc6e4b5280b61" . "8df" => base64_decode("bWV0YV90" . "ZXh0"), "_2d4b5f427d48c3244c2f19" . "5479a6ced7" => base64_decode("Y29tbW9uLm1" . "ldGFkYXRhLm" . "JsYW5rX3Zhb" . "HVlcw=="), "_80be54d4bf79b1" . "f177a6b4555ae15" . "ab7" => base64_decode("Q291bGRuJ3Qgc2F2ZS4gVW5kZWZpbmVkIG" . "1ldGEgZmllbGQgSUQ="), "_0c5123aa744f69bbc0e8b3e" . "a2f6e847d" => base64_decode("bG1zZw" . "=="));





class DynamicMetaFieldValues extends ErrorHandler
{
    var $meta_field_id = 0;
    var $values;
    function __construct($_6e38cb9e043a07cd69a1711a6704c62a = 0)
    {
        $this->meta_field_id = $_6e38cb9e043a07cd69a1711a6704c62a;
        $this->Clear();
    }
    function Clear()
    {
        $this->values = array();
    }
    function Load()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_2d71c655" . "f2a62b5d8" . "b25dbf8ac" . "f952fd"]);
        }
        $this->Clear();
        $db = \Claromentis\Core\Services::I()->GetDb();
        $_189840d11056515e52402d1412a0b6e4 = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_516340c618ee12b8bfb13b0d280f269" . "f"], $this->meta_field_id);
        if (!$_189840d11056515e52402d1412a0b6e4->hasData()) {
            return false;
        }
        while ($_b8cfc2e06d9d1fec1893ea4a054002bf = $_189840d11056515e52402d1412a0b6e4->fetchArray()) {
            $this->values[] = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_d162ad33b44d275ccc6e4b5" . "280b618df"]];
        }
        return true;
    }
    function Save()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_80be54d4bf79b1f177a6" . "b4555ae15ab7"]);
        }
        $this->Delete();
        $db = \Claromentis\Core\Services::I()->GetDb();
        foreach ($this->values as $key => $_c96f552040dea8086bf8bdd70059542f) {
            $db->query($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_e2e36e1c22" . "15f261368b2" . "0d15740847e"], $this->meta_field_id, $key, $_c96f552040dea8086bf8bdd70059542f);
        }
        return true;
    }
    function Delete()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_0926ec1594f048b9fe0aa9aa0" . "5b9a243"]);
        }
        $db = \Claromentis\Core\Services::I()->GetDb();
        return !!$db->query($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_4079816faf0560c6877e40230" . "b8b965f"], $this->meta_field_id);
    }
    function GetAllValues()
    {
        return $this->values;
    }
    function SetValues($values)
    {
        if (!$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_7f628626dd1d55c71b1f" . "c0932ffd1d2c"]($values) || $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_31767d7ad5" . "8e706dbf47b" . "7a51a0fe6c4"]($values) == 0) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_0c5123aa744f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_2d4b5f427d48c3244c" . "2f195479a6ced7"]));
        }
        $this->values = $values;
        if (!$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_7f628626dd1d5" . "5c71b1fc0932ff" . "d1d2c"]($this->values)) {
            $this->values = array();
        }
        return true;
    }
}